- Qt 6.10
- Qt WebEngine
- QML Types
- WebEngine
- Qt 6.10.0 Reference Documentation

# WebEngine QML Type

Provides access to the default settings and profiles shared by all web engine views. More...

Import Statement: | `import QtWebEngine`
Since: | QtWebEngine 1.1

- List of all members, including inherited members

## Properties

- defaultProfile : WebEngineProfile `(since QtWebEngine 1.1)`
- settings : WebEngineSettings `(since QtWebEngine 1.1)`

## Methods

- WebEngineScript script() `(since QtWebEngine 6.2)`

## Detailed Description

The WebEngine singleton type provides access to the default profile and the default settings shared by all web engine views. It can be used to change settings globally, as illustrated by the following code snippet:

     Component.onCompleted: {
         WebEngine.settings.pluginsEnabled = true;
     }

## Property Documentation

defaultProfile : WebEngineProfile `[read-only, since QtWebEngine 1.1]`

Default profile for all web engine views.

This property was introduced in QtWebEngine 1.1.

See also WebEngineProfile.

settings : WebEngineSettings `[read-only, since QtWebEngine 1.1]`

Default settings for all web engine views.

This property was introduced in QtWebEngine 1.1.

See also WebEngineSettings.

## Method Documentation

`[since QtWebEngine 6.2]` WebEngineScript script()

Constructs WebEngineScript, which can be set up and inserted into user scripts' collection for WebEngineView.userScripts or WebEngineProfile.userScripts using WebEngineScriptCollection.

This method was introduced in QtWebEngine 6.2.

See also WebEngineScript and WebEngineScriptCollection.